# PCApplyRichardson

Applies several steps of Richardson iteration with the particular preconditioner. This routine is usually used by the Krylov solvers and not the application code directly.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCApplyRichardson(PC pc,Vec x,Vec y,Vec w,PetscReal rtol,PetscReal abstol, PetscReal dtol,PetscInt its)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| x | - the initial guess
| w | - one work vector
| rtol | - relative decrease in residual norm convergence criteria
| abstol | - absolute residual norm convergence criteria
| dtol | - divergence residual norm increase criteria
| its | - the number of iterations to apply.

### Output Parameter

y -the solution

### Notes

Most preconditioners do not support this function. Use the command PCApplyRichardsonExists() to determine if one does.

Except for the multigrid PC this routine ignores the convergence tolerances and always runs for the number of iterations

### Keywords

PC, apply, Richardson

### See Also

PCApplyRichardsonExists()

Level:developer
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages